<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class TodoBackups extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('todo_backups', function (Blueprint $table) {
            $table->id();
            $table->string('hostname');
            $table->string('node');
            $table->timestamp('timestamp')->nullable();
            $table->integer('status')->nullable();
            $table->integer('assigned')->nullable();
            $table->integer('solvedBy')->nullable();
            $table->timestamp('completed_at')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('todo_backups');
    }
}
